## pdftk 0.94

=== itext-1.1/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#
# Skipping RTF package because gcjh is complaining that
# a static member has the same name as a method, but doesn't
# tell me where the ambiguity is.  Since it isn't needed for
# pdftk, I left it out until I have time to find the trouble.
#
# also omitting hyphenation, html, since they aren't needed by pdftk

itext_root= $(CURDIR)

export GCJ= gcj
export GCJFLAGS= --encoding=UTF-8 -I"$(itext_root)"
export GCJH= gcjh
export AR= ar
export ARFLAGS= rs
export RM= rm
export RMFLAGS= -vf

all : libgcj_local itext

libgcj_local :
	$(MAKE) -C "$(itext_root)/gnu_local/java/security";
	$(MAKE) -C "$(itext_root)/gnu_local/java/security/provider";
	$(MAKE) -C "$(itext_root)/java_local/security";

itext :
	$(MAKE) -C "$(itext_root)/com/lowagie/text";
#	$(MAKE) -C "$(itext_root)/com/lowagie/text/html";
	$(MAKE) -C "$(itext_root)/com/lowagie/text/markup";
	$(MAKE) -C "$(itext_root)/com/lowagie/text/pdf";
	$(MAKE) -C "$(itext_root)/com/lowagie/text/pdf/codec";
#	$(MAKE) -C "$(itext_root)/com/lowagie/text/pdf/hyphenation";
	$(MAKE) -C "$(itext_root)/com/lowagie/text/pdf/wmf";
#	$(MAKE) -C "$(itext_root)/com/lowagie/text/rtf";

clean : libgcj_local_clean itext_clean

libgcj_local_clean :
	$(MAKE) -iC "$(itext_root)/gnu_local/java/security" clean;
	$(MAKE) -iC "$(itext_root)/gnu_local/java/security/provider" clean;
	$(MAKE) -iC "$(itext_root)/java_local/security" clean;

itext_clean :
	$(MAKE) -iC "$(itext_root)/com/lowagie/text" clean;
#	$(MAKE) -iC "$(itext_root)/com/lowagie/text/html" clean;
	$(MAKE) -iC "$(itext_root)/com/lowagie/text/markup" clean;
	$(MAKE) -iC "$(itext_root)/com/lowagie/text/pdf" clean;
	$(MAKE) -iC "$(itext_root)/com/lowagie/text/pdf/codec" clean;
#	$(MAKE) -iC "$(itext_root)/com/lowagie/text/pdf/hyphenation" clean;
	$(MAKE) -iC "$(itext_root)/com/lowagie/text/pdf/wmf" clean;
#	$(MAKE) -iC "$(itext_root)/com/lowagie/text/rtf" clean;

## pdftk 1.12

=== java_libs/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#
# Skipping RTF package because gcjh is complaining that
# a static member has the same name as a method, but doesn't
# tell me where the ambiguity is.  Since it isn't needed for
# pdftk, I left it out until I have time to find the trouble.
#
# also omitting hyphenation, html, since they aren't needed by pdftk

java_libs_root= $(CURDIR)

# append gcj flags
export GCJFLAGS+= --encoding=UTF-8 -I"$(java_libs_root)"

all : libgcj_local itext

libgcj_local :
	$(MAKE) -C "$(java_libs_root)/gnu_local/java/security";
	$(MAKE) -C "$(java_libs_root)/gnu_local/java/security/provider";
	$(MAKE) -C "$(java_libs_root)/gnu/gcj/convert";
	$(MAKE) -C "$(java_libs_root)/java_local/security";

itext :
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text";
#	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/html";
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/markup";
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf";
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/codec";
#	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/hyphenation";
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/wmf";
#	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/rtf";
	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/fonts";

clean : libgcj_local_clean itext_clean

libgcj_local_clean :
	$(MAKE) -iC "$(java_libs_root)/gnu_local/java/security" clean;
	$(MAKE) -iC "$(java_libs_root)/gnu_local/java/security/provider" clean;
	$(MAKE) -iC "$(java_libs_root)/gnu/gcj/convert" clean;
	$(MAKE) -iC "$(java_libs_root)/java_local/security" clean;

itext_clean :
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text" clean;
#	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/html" clean;
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/markup" clean;
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf" clean;
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/codec" clean;
#	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/hyphenation" clean;
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/wmf" clean;
#	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/rtf" clean;
	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/fonts" clean;

=== java_libs/java_local/security/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= security.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= text.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/gnu/gcj/convert/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= convert.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/markup/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= markup.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= pdf.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/gnu_local/java/security/provider/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= provider.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/codec/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= codec.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/wmf/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= wmf.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

## pdftk 1.41

=== java_libs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 java_libs_root= $(CURDIR)
 
 # append gcj flags
-export GCJFLAGS+= --encoding=UTF-8 -I"$(java_libs_root)"
+export GCJFLAGS+= --encoding=UTF-8 --classpath="$(java_libs_root)"
 
 all : libgcj_local itext
 
@@ -28,9 +28,12 @@
 	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf";
 	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/codec";
 #	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/hyphenation";
-	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/wmf";
+	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/codec/wmf";
 #	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/rtf";
 	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/fonts";
+	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/xml/xmp";
+	$(MAKE) -C "$(java_libs_root)/com/lowagie/bc/asn1";
+	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/codec/postscript";
 
 clean : libgcj_local_clean itext_clean
 
@@ -47,6 +50,9 @@
 	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf" clean;
 	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/codec" clean;
 #	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/hyphenation" clean;
-	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/wmf" clean;
+	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/codec/wmf" clean;
 #	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/rtf" clean;
 	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/fonts" clean;
+	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/xml/xmp" clean;
+	$(MAKE) -iC "$(java_libs_root)/com/lowagie/bc/asn1" clean;
+	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text/pdf/codec/postscript" clean;

=== java_libs/java_local/security/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) $*;
+	$(GCJH) --classpath="." $*;
 	$(RM) $<
 
 ##

=== java_libs/com/lowagie/text/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) $*;
+	$(GCJH) --classpath="." $*;
 	$(RM) $<
 
 ##

=== java_libs/gnu/gcj/convert/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) $*;
+	$(GCJH) --classpath="." $*;
 	$(RM) $<
 
 ##

=== java_libs/com/lowagie/bc/asn1/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= asn1.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/markup/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) $*;
+	$(GCJH) --classpath="." $*;
 	$(RM) $<
 
 ##

=== java_libs/com/lowagie/text/xml/xmp/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= xmp.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

## pdftk 1.41+dfsg

=== debian/changelog ===
pdftk (1.41+dfsg-8) unstable; urgency=low

  * Imrove error handling on non-standard conform pdf files.
  * Use error reporting via non-zero exit code for all errors.
    (Closes: #577849)
  * Bump Standards-Version to 3.8.4.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 15 Apr 2010 16:03:42 +0200

pdftk (1.41+dfsg-7) unstable; urgency=low

  * Improve utf8-encoded attachment filename support (fixes crash on
    unpack_files) (Closes: #462756, #563330)

 -- Johann Felix Soden <johfel@gmx.de>  Wed, 27 Jan 2010 20:08:45 +0100

pdftk (1.41+dfsg-6) unstable; urgency=low

  * Add patch to circumvent libgcj10 exception with de_AT.UTF-8 locale.
    (Closes: #560594)
  * Conform patch descriptions to DEP3.
  * debian/rules: fail with error message if itext-*.so is missing.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 13 Dec 2009 17:41:56 +0100

pdftk (1.41+dfsg-5) unstable; urgency=low

  * debian/{rules,control}:
    - Support clean target in unpatched source dir.
    - Depend on proper main version of libgcj-bc.
  * Call g++/gcj with "-g" to improve usefulness of
    DEB_BUILD_OPTIONS=nostrip.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 10 Dec 2009 18:56:12 +0100

pdftk (1.41+dfsg-4) unstable; urgency=low

  * To solve a fill_form bug, insert itext.jar path into classpath.
  * Convert package to the 3.0 (quilt) source format.
  * Improve get-orig-source target:
   - debian/rules: support any working directory in get-orig-source.
   - debian/uscan-dfsg-clean.sh: do not add .orig to the main directory
     in .orig.tar.gz.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 29 Nov 2009 13:17:30 +0100

pdftk (1.41+dfsg-3) unstable; urgency=low

  * Add multistamp and multibackground support (Closes: #511415)
    - thanks to Bernhard R. Link <brlink@debian.org> for the patch.
  * Extend uncompression: Don't fail when for libitext unknown filters
    occur. (Closes: #550367)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 09 Oct 2009 22:48:13 +0200

pdftk (1.41+dfsg-2) unstable; urgency=low

  * Fix FTBFS on hppa:
   - debian/rules: enforce same version for gcj and g++.
   - debian/control: add g++-4.4 [hppa] to Build-Depends field.
  * debian/rules: add missing space in clean rule.
  * Fix failing on pdf files with owner password:
    - change pdftk-use-internal-itext and support_utf8_filenames
      in debian/patches and refresh other patches
  * Add uncompression support which was removed in 1.41+dfsg-1.
    (Closes: #547910)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 25 Sep 2009 11:54:04 +0200

pdftk (1.41+dfsg-1) unstable; urgency=low

  * Adopted the package with agreement of the previous maintainer
    - Thanks for your work Aurélien GÉRÔME!
  * DFSG-repack and use extern libitext-java (Closes: #519466)
  * Support newer gcj (Closes: #470215, #514561, #534080, #533795, #538252)
  * Handle utf8 filenames (Closes: #258377, #504014, #504128)
  * Handle utf8-data, CreationDate and ModDate fields in update_info correctly
    (Closes: #424920, #461169)
  * Rework build system
    - minimize dh rules
    - update dependencies
  * Bump Standards-Version to 3.8.3.
  * Update debian/watch and use created debian/uscan-dfsg-clean.sh
  * Clean debian/copyright from itext, use machine-readable format
    - upstream uses GPL-2+ (not unversioned GPL)
  * Add patch: use mkstemp instead of tmpnam
  * Add upstream changelog
  * Remove meaningless "useful" from short description and author-field from
    long description

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 05 Sep 2009 15:14:40 +0200

pdftk (1.41-3) unstable; urgency=high

  * Change my email address in the Uploaders field.
  * Bump Standards-Version to 3.7.3.
  * Remove no longer used Vcs-Git, Vcs-Browser, and
    XS-DM-Upload-Allowed fields.
  * Change Build-Depends field: gcj-4.2 [!alpha !arm !hppa !hurd-i386].
    (Closes: #477898)

 -- Aurélien GÉRÔME <ag@debian.org>  Fri, 30 May 2008 15:08:46 +0200

pdftk (1.41-2) unstable; urgency=low

  * Switch from the XS-Vcs-Git/XS-Vcs-Browser fields to the
    Vcs-Git/Vcs-Browser fields and fix typos in both URLs.
  * Rework debian/copyright to include missing copyright holders
    and licenses.
  * Add the XS-DM-Upload-Allowed field.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 02 Dec 2007 00:02:04 +0100

pdftk (1.41-1) unstable; urgency=high

  * New upstream release. (Closes: #400920)
  * Regenerate upstream tarball by removing superfluous files.
    + debian/
    + java_libs/com/lowagie/text/pdf/PRStream.java.orig
    + java_libs/com/lowagie/text/pdf/PRTokeniser.java.orig
  * Add quilt support.
  * Add the XS-Vcs-Git and XS-Vcs-Browser fields.
  * Remove the uppercase at the beginning of the Description field.
  * Fix upstream homepage location. (Closes: #420973)
    + Remove it from the long description.
    + Add it in the new Homepage field.
  * Remove ${misc:Depends} from the Depends field.
  * Fix FTBFS due to new behaviour of gcjh since gcj-4.1.2.
    (Closes: #421341, #443714)
  * Fix ABI mismatch at runtime due to old embedded copies of gcj
    Java source code. (Closes: #426314)
    The following directories are thus no longer needed by Debian.
    + java_libs/gnu/
    + java_libs/gnu_local/
    + java_libs/java_local/
  * Change Build-Depends to gcj-4.2 and g++-4.2.
    + Depends on libgcj8-1. (Closes: #385914, #423417)
  * Fix lintian warnings "debian-rules-ignores-make-clean-error".
  * Remove unused debhelper tools from debian/rules.
  * Update debian/copyright.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Wed, 14 Nov 2007 14:40:12 +0100

pdftk (1.40-2) unstable; urgency=low

  * New maintainer.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 15 Oct 2006 17:14:13 +0200

pdftk (1.40-1) unstable; urgency=low

  * New upstream version.
    - Fix concatenation of 2 pdf documents which some kind of pdf
      (closes: bug#385598).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Sep 2006 16:39:10 +0200

pdftk (1.12-11) unstable; urgency=low



=== debian/control ===
Source: pdftk
Section: text
Priority: optional
Maintainer: Johann Felix Soden <johfel@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), gcj, libitext-java-gcj, libitext-java, g++-4.4 [hppa]
Standards-Version: 3.8.4
Homepage: http://www.pdfhacks.com/pdftk/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary

Package: pdftk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${libgcj-bc:Depends}, ${libitext-java-gcj:Depends},
 libitext-java, libbcprov-java, libbcmail-java
Suggests: xpdf-utils
Description: tool for manipulating PDF documents
 If PDF is electronic paper, then pdftk is an electronic stapler-remover,
 hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a
 simple tool for doing everyday things with PDF documents. Keep one in the
 top drawer of your desktop and use it to:
  - Merge PDF documents
  - Split PDF pages into a new document
  - Decrypt input as necessary (password required)
  - Encrypt output as desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report PDF on metrics, including metadata and bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF document into single pages
  - Uncompress and re-compress page streams
  - Repair corrupted PDF (where possible)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

GCJ_ITEXT_SO_PATH =$(shell dpkg -L libitext-java-gcj | grep "itext-.*.so" | head -n 1 )
GCJ_ITEXT_SO_NAME =$(shell basename $(GCJ_ITEXT_SO_PATH))
GCJ_ITEXT_JAR_PATH=/usr/share/java/itext.jar

GCJ_ITEXT_VERSION=$(shell dpkg-query -W -f'$${Version}' libitext-java-gcj)
GCJ_ITEXT_VERSION_SHORT=$(shell dpkg-query -W -f'$${Version}' libitext-java-gcj | sed -e 's/-[^-]*$$//')

GCJ_BC_MAIN_VERSION_A=$(shell dpkg-query -W -f'$${Version}' libgcj-bc | egrep -o "^[0-9]+" )
GCJ_BC_MAIN_VERSION_B=$(shell dpkg-query -W -f'$${Version}' libgcj-bc | sed -r -e '1s/[0-9]+\.([0-9]+).*/\1/;q')
GCJ_BC_MAIN_VERSION_B_NEXT=$(shell expr $(GCJ_BC_MAIN_VERSION_B) + 1)

# extract version suffix from gcj
VERSUFF=-$(shell gcj --version | sed -r -e '1s/.* ([0-9]+\.[0-9]+).*/\1/;q')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	jar tf $(GCJ_ITEXT_JAR_PATH) | grep '\.class' | sed 's/\.class//' | sed 's|/|\.|g' > classes
	gjavah$(VERSUFF) -d java_libs2 -cni -classpath=$(GCJ_ITEXT_JAR_PATH) `cat classes`
	ln --target-directory $(CURDIR)/pdftk/ -s $(GCJ_ITEXT_SO_PATH)
	$(MAKE) -C $(CURDIR)/pdftk -f Makefile.Debian GCJ_ITEXT_SO=$(GCJ_ITEXT_SO_NAME) VERSUFF=$(VERSUFF)

override_dh_auto_clean:
	# do not call clean target if source is unpatched
	grep -q "libgcj_local" $(CURDIR)/pdftk/Makefile.Base || make -C $(CURDIR)/pdftk -f Makefile.Debian clean
	@[ -n "$(GCJ_ITEXT_SO_NAME)" ] || \
		echo "*** itext-*.so not found in libitext-java-gcj -> No gcj native code support for this arch."
	@[ -n "$(GCJ_ITEXT_SO_NAME)" ] || exit 1
	rm -f $(CURDIR)/pdftk/$(GCJ_ITEXT_SO_NAME)
	rm -rf $(CURDIR)/pdftk/pdftk
	rm -rf $(CURDIR)/pdftk/*.o
	rm -f $(CURDIR)/classes
	rm -rf $(CURDIR)/java_libs2
	dh_auto_clean


override_dh_auto_install:
	install -o root -g root -m 755 -d $(CURDIR)/debian/pdftk/usr/bin
	install -o root -g root -m 755 $(CURDIR)/pdftk/pdftk $(CURDIR)/debian/pdftk/usr/bin
	# generate right libitext-java-gcj depends
	echo -n 'libitext-java-gcj:Depends=libitext-java-gcj (>=' $(GCJ_ITEXT_VERSION)'~)' >> debian/pdftk.substvars
	echo    ', libitext-java-gcj (<= '$(GCJ_ITEXT_VERSION_SHORT)'++)'  >> debian/pdftk.substvars
	echo -n 'libgcj-bc:Depends=libgcj-bc (>= '$(GCJ_BC_MAIN_VERSION_A)'.'$(GCJ_BC_MAIN_VERSION_B)'~)' >> debian/pdftk.substvars
	echo    ', libgcj-bc (<< '$(GCJ_BC_MAIN_VERSION_A)'.'$(GCJ_BC_MAIN_VERSION_B_NEXT)'~)'  >> debian/pdftk.substvars

	dh_auto_install

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST))).. && \
	uscan --force-download --repack --rename --destdir $(CURDIR)

## pdftk 1.44

=== java/gnu_local/java/security/Makefile ===
# Copyright 2003, 2004, 2010 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= security.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java/org/bouncycastle/asn1/Makefile ===
# Copyright 2003, 2004, 2010 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

#library= asn1.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

#all : $(library) $(headers)

#$(library) : $(objects)
#	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java/com/lowagie/text/markup/Makefile ===
# Copyright 2003, 2004, 2010 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= markup.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== debian/changelog ===
pdftk (1.44-3) unstable; urgency=low

  * Upload to unstable.
  * Build-Depend (temporary) on gcj-jdk/g++ 4.6 to fix FTBFS. (Closes: #624778)
  * debian/{control,rules}: Remove (now unneeded) dependency on libgcj-bc.
  * Remove dependency on libbcprov-java again since ClassNotFoundException is
    just produced by removed but not purged java security packages.
  * Bump Standards-Version to 3.9.2.
  * Merge 1.41+dfsg-10 and 1.41+dfsg-11:
    - Support PROMPT for user_pw and owner_pw simultaneously.
      (Closes: #614071)

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 14 May 2011 01:00:57 +0200

pdftk (1.44-2) experimental; urgency=low

  * debian/control:
    - Re-add dependency on libbcprov-java. (Closes: #610394)
    - Build-depend on gcj-jdk instead of transitional gcj. (Closes: #606906)

 -- Johann Felix Soden <johfel@gmx.de>  Tue, 18 Jan 2011 23:29:34 +0100

pdftk (1.44-1) experimental; urgency=low

  * New upstream version. (Closes: #600791)
  * debian/NEWS: Add notice about the new *_utf8 operations.
  * Upstream has DFSG-cleaned the bundled itext-paulo library.
    - debian/{control,rules}: Switch back to usage of bundled libraries.
      + This fix a problem with generate_fdf. (Closes: #588074)
    - Repacking is not needed anymore. Change debian/watch accordingly.
  * debian/patches/*: Drop all patches that are now applied
    by upstream or adapts pdftk to itext 2.1.7.
  * debian/copyright: Add copyright information of the bundled libraries and
    update copyright years.
  * debian/patches/customise_build_parameters replaces the old
    build_with_gcc-4.3 patch.
  * Update debian/(control,copyright,watch) to new upstream homepage.
  * Install the now with upstream coming man page and changelog.

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 30 Oct 2010 23:30:30 +0200

pdftk (1.41+dfsg-11) unstable; urgency=low

  * Support PROMPT for user_pw and owner_pw simultaneously.
    (Closes: #614071)
  * Backport from 1.43: Support filenames starting with the keywords 'odd',
    'even', 'end'. (Closes: #609471)

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 19 Feb 2011 23:19:50 +0100

pdftk (1.41+dfsg-10) unstable; urgency=high

  * Do not create a random owner password if only user password should
    be set. (Closes: #607018)

 -- Johann Felix Soden <johfel@gmx.de>  Tue, 14 Dec 2010 20:36:20 +0100

pdftk (1.41+dfsg-9) unstable; urgency=low

  * Fix pdf compression support: Uncompressed files can now be
    compressed.
  * Bump Standards-Version to 3.9.1.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 08 Aug 2010 11:24:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: text
 Priority: optional
 Maintainer: Johann Felix Soden <johfel@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), gcj, libitext-java-gcj, libitext-java, g++-4.4 [hppa]
-Standards-Version: 3.8.4
-Homepage: http://www.pdfhacks.com/pdftk/
+Build-Depends: debhelper (>= 7.0.50~), gcj-4.6-jdk, g++-4.6
+Standards-Version: 3.9.2
+Homepage: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary
 
 Package: pdftk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${libgcj-bc:Depends}, ${libitext-java-gcj:Depends},
- libitext-java, libbcprov-java, libbcmail-java
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xpdf-utils
 Description: tool for manipulating PDF documents
  If PDF is electronic paper, then pdftk is an electronic stapler-remover,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# extract version suffix from gcj
# VERSUFF=-$(shell gcj --version | sed -r -e '1s/.* ([0-9]+\.[0-9]+).*/\1/;q')

# use (temporary) fixed gcj/g++ version from debian/control
VERSUFF=$(shell grep -oP '(?<=gcj)-[0-9.]*' debian/control)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(CURDIR)/pdftk -f Makefile.Debian VERSUFF=$(VERSUFF)

override_dh_auto_clean:
	# do not call clean target if source is unpatched
	make -C $(CURDIR)/pdftk -f Makefile.Debian clean
	rm -rf $(CURDIR)/pdftk/pdftk
	rm -rf $(CURDIR)/pdftk/*.o
	find $(CURDIR) -name "*.class" -print0 | xargs --null -t -r rm 
	dh_auto_clean


override_dh_auto_install:
	install -o root -g root -m 755 -d $(CURDIR)/debian/pdftk/usr/bin
	install -o root -g root -m 755 $(CURDIR)/pdftk/pdftk $(CURDIR)/debian/pdftk/usr/bin
	dh_auto_install

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST))).. && \
	uscan --force-download --repack --rename --destdir $(CURDIR)

## pdftk 2.01

=== java/Makefile ===
# -*- Mode: Makefile -*-
# Copyright (c) 2003-2013 Sid Steward
# This is part of pdftk
#
# Visit: www.pdftk.com for pdftk information and articles
# Permalink: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
#
# Please email Sid Steward with questions or bug reports.
# Include "pdftk" in the subject line to ensure successful delivery:
# sid.steward at pdflabs dot com
#

JAVALIBPATH= $(CURDIR)

#
export GCJFLAGS+= --encoding=UTF-8 --classpath="$(LIBGCJ):$(JAVALIBPATH):."
export GCJHFLAGS+= --classpath="$(LIBGCJ):$(JAVALIBPATH):."

sources = $(wildcard pdftk/com/lowagie/text/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/exceptions/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/pdf/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/pdf/crypto/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/pdf/fonts/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/pdf/interfaces/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/pdf/internal/*.java)
#
sources+= $(wildcard pdftk/com/lowagie/text/markup/*.java)
sources+= $(wildcard pdftk/com/lowagie/text/xml/xmp/*.java)

# this next line isn't necessary for newer build tools
# regen Makefile.bc_sources after upgrading bouncycastle
include Makefile.bc_sources

headers= $(patsubst %.java, %.h, $(sources))

# for afm resources
afms= $(wildcard pdftk/com/lowagie/text/pdf/fonts/*.afm)

# don't automatically delete intermediate class files
.PRECIOUS : %.class

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

%.h : %.class
	$(GCJH) $(GCJHFLAGS) $*

# don't create class list from java filenames because it omits local classes
java_lib.o : $(headers) $(sources)
	$(GJAR) -cf java_lib.jar pdftk/com/lowagie/*/*/*/*.class pdftk/com/lowagie/*/*/*.class pdftk/com/lowagie/*/*.class pdftk/org/bouncycastle/*/*.class pdftk/org/bouncycastle/*/*/*.class $(afms)
	$(GCJ) $(GCJFLAGS) -c java_lib.jar


ifdef LIBGCJ_SUPPLEMENT
libgcj_supplement_sources = $(wildcard java/security/*.java)
libgcj_supplement_classes = $(patsubst %.java, %.class, $(libgcj_supplement_sources))

LIBGCJ_SUPPLEMENT_O= $(LIBGCJ_SUPPLEMENT).o
LIBGCJ_SUPPLEMENT_JAR= $(LIBGCJ_SUPPLEMENT).jar

# don't use class list from java filenames because it omits local classes
$(LIBGCJ_SUPPLEMENT_O) : $(libgcj_supplement_classes) $(libgcj_supplement_sources)
	$(GJAR) -cf $(LIBGCJ_SUPPLEMENT_JAR) java/security/*.class
	$(GCJ) $(GCJFLAGS) -c $(LIBGCJ_SUPPLEMENT_JAR)
endif


all : java_lib.o $(LIBGCJ_SUPPLEMENT_O)

clean :
	$(RM) $(RMFLAGS) java_lib.jar java_lib.o;
	$(RM) $(RMFLAGS) pdftk/com/lowagie/*/*/*/*.class pdftk/com/lowagie/*/*/*.class pdftk/com/lowagie/*/*.class pdftk/org/bouncycastle/*/*.class pdftk/org/bouncycastle/*/*/*.class;
	$(RM) $(RMFLAGS) $(headers);
ifdef LIBGCJ_SUPPLEMENT
	$(RM) $(RMFLAGS) $(LIBGCJ_SUPPLEMENT_JAR) $(LIBGCJ_SUPPLEMENT_O);
	$(RM) $(RMFLAGS) java/security/*.class
endif

=== debian/changelog ===
pdftk (2.01-1) unstable; urgency=low

  * New upstream version
    - supports AES encryption. (Closes: #703591)
    - crashes with some pdf 1.6 and 1.7 documents solved.
      (Closes: #706075,  #714518)
  * debian/patches/*: Drop upstream applied patches and rework the rest.
  * Build with gcj/g++-4.8 instead of -4.7.
  * Switch to debhelper compat v9.
  * debian/copyright: Update years and paths.
  * debian/control: Use anonscm.debian.org in VCS-* fields; Vcs-Git without
    experimental branch.
  * Fix hyphens in man page.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 01 Jul 2013 00:19:19 +0200

pdftk (1.45-1) experimental; urgency=low

  * New upstream version. (Closes: #697642)
  * Adapt patches to new upstream version and drop fix_infinite_loop_on_lf_eol
    (solved differently by upstream).
  * Use gcj/g++-4.7 instead of -4.6.
  * Bump Standards-Version to 3.9.4 and add experimental branch to Vcs-Git.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 03 Feb 2013 19:26:02 +0100

pdftk (1.44-7) unstable; urgency=low

  * Add patch to solve failures with particular PDF 1.5 documents generated
    e.g. by newer pdflatex versions: Do not fail if an ObjStm ends with a
    number. (Closes: #687669)
    Thanks to Robin Houston <robin.houston@gmail.com>.

 -- Johann Felix Soden <johfel@debian.org>  Tue, 08 Jan 2013 00:36:58 +0100

pdftk (1.44-6) unstable; urgency=medium

  * Fix burst command. It produced non-standard-conform pdf files whose unused
    xref entries were wrongly marked as used. (Closes: #685983)
  * debian/*: Change my e-mail address and remove DM upload rights.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 03 Sep 2012 01:17:35 +0200

pdftk (1.44-5) unstable; urgency=medium

  * Add patches to fix
    - infinite loop with non-standard-conform pdf files.
    - NullPointerException on some pdf files.
    Thanks to Robin Houston <robin@mysociety.org>.
    (side-effect: Closes: #650628)
  * Overwrite additionally LC_ALL and LC_MESSAGES to circumvent
    libgcj problems with de_AT.UTF-8.
  * debian/copyright: Use copyright-format/1.0 and update years.
  * Bump Standards-Version to 3.9.2.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 23 Feb 2012 23:48:48 +0100

pdftk (1.44-4) unstable; urgency=low

  * Warn instead of fail processing a DRM protected pdf file if there is no
    owner password supplied. (Closes: #531529)
  * Support dpkg-buildflags, update patches/customise_build_parameters.
  * Switch to debhelper compat v8
  * debian/copyright: Update to latest DEP5 format and update years.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 25 Sep 2011 19:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pdftk
 Section: text
 Priority: optional
-Maintainer: Johann Felix Soden <johfel@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), gcj-4.6-jdk, g++-4.6
-Standards-Version: 3.9.2
+Maintainer: Johann Felix Soden <johfel@debian.org>
+Build-Depends: debhelper (>= 9), gcj-4.8-jdk, g++-4.8
+Standards-Version: 3.9.4
 Homepage: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/pdftk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pdftk.git;a=summary
 
 Package: pdftk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # use (temporary) fixed gcj/g++ version from debian/control
 VERSUFF=$(shell grep -oP '(?<=gcj)-[0-9.]*' debian/control)
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://www.pdflabs.com/docs/pdftk-version-history/ \
http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/pdftk-(.*)-src\.zip \
debian

## pdftk 2.02

=== java/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # -*- Mode: Makefile -*-
-# Copyright (c) 2003-2013 Sid Steward
+#
+# Copyright (c) 2003-2013 Steward and Lee, LLC
 # This is part of pdftk
 #
 # Visit: www.pdftk.com for pdftk information and articles
@@ -53,6 +54,7 @@
 
 ifdef LIBGCJ_SUPPLEMENT
 libgcj_supplement_sources = $(wildcard java/security/*.java)
+libgcj_supplement_sources+= $(wildcard gnu/java/locale/*.java)
 libgcj_supplement_classes = $(patsubst %.java, %.class, $(libgcj_supplement_sources))
 
 LIBGCJ_SUPPLEMENT_O= $(LIBGCJ_SUPPLEMENT).o
@@ -60,7 +62,7 @@
 
 # don't use class list from java filenames because it omits local classes
 $(LIBGCJ_SUPPLEMENT_O) : $(libgcj_supplement_classes) $(libgcj_supplement_sources)
-	$(GJAR) -cf $(LIBGCJ_SUPPLEMENT_JAR) java/security/*.class
+	$(GJAR) -cf $(LIBGCJ_SUPPLEMENT_JAR) java/security/*.class gnu/java/locale/*.class
 	$(GCJ) $(GCJFLAGS) -c $(LIBGCJ_SUPPLEMENT_JAR)
 endif
 
@@ -73,5 +75,5 @@
 	$(RM) $(RMFLAGS) $(headers);
 ifdef LIBGCJ_SUPPLEMENT
 	$(RM) $(RMFLAGS) $(LIBGCJ_SUPPLEMENT_JAR) $(LIBGCJ_SUPPLEMENT_O);
-	$(RM) $(RMFLAGS) java/security/*.class
+	$(RM) $(RMFLAGS) java/security/*.class gnu/java/locale/*.class
 endif

=== debian/changelog ===
pdftk (2.02-5) unstable; urgency=medium

  * Transition package to pdftk-java.
    - Due to the current gcj-dependency, pdftk is not supported anymore.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 02 Dec 2018 14:33:47 +0100

pdftk (2.02-4) unstable; urgency=medium

  * Use again default gcj/g++ compiler. (Closes: #797841, #818778)
  * debian/watch: Disable misleading PGP detection.
  * debian/control: Use https:// links for Vcs-* and Homepage fields.
  * debian/copyright: Update year.
  * Bump Standards-Version to 3.9.7.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 18 Apr 2016 22:45:59 +0200

pdftk (2.02-3) unstable; urgency=medium

  * Fix bug that corrupts images in PDF files on (de)compressing.
    (Closes: #787030)
  * debian/copyright: Use different shortcuts for "other" licenses.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 02 Jul 2015 00:50:30 +0200

pdftk (2.02-2) unstable; urgency=medium

  * Implement 'inverted page ranges with "~"'. (Closes: #758761)
  * debian/copyright: Fix paths.
  * debian/watch: Fix URL, use https instead of http.
  * Bump Standards-Version to 3.9.6.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 20 Oct 2014 23:42:29 +0200

pdftk (2.02-1) unstable; urgency=low

  * New upstream version.
  * Build with gcj/g++-4.9 instead of -4.8. (Closes: #747091)
  * debian/copyright:
    - Use new upstream name (PDFtk Server) and homepage.
      (Closes: #726596)
    - Update year.
  * Adapt patches to new upstream version.
  * Use "PDFtk" instead of "pdftk" in long description.
  * Add debug package (pdftk-dbg).
  * debian/rules: delete all generateds file in override_dh_auto_clean.
  * Bump Standards-Version to 3.9.5.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 22 May 2014 01:01:16 +0200

=== debian/control ===
Source: pdftk
Section: oldlibs
Priority: extra
Maintainer: Johann Felix Soden <johfel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.1
Homepage: https://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/

Package: pdftk
Architecture: any
Depends: pdftk-java, ${misc:Depends}
Description: transitional package for pdftk, a tool for manipulating PDF documents
 PDFtk is no longer available in Debian. This package enables an upgrade to
 pdftk-java, a port of PDFtk to Java. This package can be safely removed.
 .
 If PDF is electronic paper, then PDFtk is an electronic stapler-remover,
 hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. PDFtk is a
 simple tool for doing everyday things with PDF documents. Keep one in the
 top drawer of your desktop and use it to:
  - Merge PDF documents
  - Split PDF pages into a new document
  - Decrypt input as necessary (password required)
  - Encrypt output as desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report PDF on metrics, including metadata and bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF document into single pages
  - Uncompress and re-compress page streams
  - Repair corrupted PDF (where possible)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# extract version suffix from gcj
# VERSUFF=-$(shell gcj --version | sed -r -e '1s/.* ([0-9]+\.[0-9]+).*/\1/;q')

# use (temporary) fixed gcj/g++ version from debian/control
# VERSUFF=$(shell grep -oP '(?<=gcj)-[0-9.]*' debian/control)

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST))).. && \
	uscan --force-download --repack --rename --destdir $(CURDIR)

=== debian/watch ===
version=4
opts="pgpmode=none" https://www.pdflabs.com/docs/pdftk-version-history/ \
https://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/pdftk-(.*)-src\.zip \
debian
